// MFileFindDlg.h : header file
//

#if !defined(AFX_MFILEFINDDLG_H__537D45E7_85A4_11D3_9EC0_080009EE62AA__INCLUDED_)
#define AFX_MFILEFINDDLG_H__537D45E7_85A4_11D3_9EC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "LookFor.h"
/////////////////////////////////////////////////////////////////////////////
// CMFileFindDlg dialog

class CMFileFindDlg : public CDialog
{
// Construction
public:
	CMFileFindDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMFileFindDlg)
	enum { IDD = IDD_MFILEFIND_DIALOG };
	CListCtrl	m_FoundList;
	CString	m_LookIn;
	CString	m_Named;
	//}}AFX_DATA
	CLookFor m_Start;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFileFindDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMFileFindDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFind();
	afx_msg void OnStop();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
	virtual void OnOK();
	//}}AFX_MSG
    afx_msg void OnFound(WPARAM wp, LPARAM lp);
     
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFILEFINDDLG_H__537D45E7_85A4_11D3_9EC0_080009EE62AA__INCLUDED_)
